﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using GameEngine.LevelGeneration;
using GameEngine.Xml;

namespace GameEngine.Helpers
{
    public class TilesetWrapper
    {
        public Dictionary<string, Dictionary<TileType, List<XmlDocument>>> Tiles { get; set; }
        public Dictionary<string, Dictionary<SpecialTileNodeType, List<XmlDocument>>> SpecialTiles { get; set; }
        public XmlDocument Tilesets { get; set; }
        public TilesetWrapper()
        {
            Tiles = new Dictionary<string, Dictionary<TileType, List<XmlDocument>>>();
            SpecialTiles = new Dictionary<string, Dictionary<SpecialTileNodeType, List<XmlDocument>>>();
        }
    }
}
