using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;
using Microsoft.Xna.Framework.Content;

namespace GameEngine.Xml
{
    public class XmlLevelReader : ContentTypeReader<XmlDocument>
    {
        protected override XmlDocument Read(ContentReader input, XmlDocument existingInstance)
        {
            if (existingInstance != null)
                return existingInstance;
            
            XmlDocument doc = new XmlDocument();
            doc.LoadXml(input.ReadString());
            existingInstance = doc;
            return doc;
        }
    }
}
