﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GameEngine.ScreenSystem;
using GamePrototype.Levels;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace GamePrototype.GUI.Screens
{
    public class RowDebug : GameScreen
    {
        Circlecollision level;

        public RowDebug(string id, ScreenController controller, Game game)
            : base(id, initialState, controller, game)
        {
        }

        public override void LoadContent(Microsoft.Xna.Framework.GraphicsDeviceManager graphics)
        {
            level = new Circlecollision(game, graphics, "Scenes/circlecollision");
            level.LoadContent();
        }

        public override void Update(Microsoft.Xna.Framework.GameTime gameTime)
        {
            level.Update(gameTime);
        }

        public override void Draw(GameTime gameTime, GraphicsDevice graphics, SpriteBatch spriteBatch, SpriteFont spriteFont)
        {
            level.Draw(gameTime);
            spriteBatch.Begin(SpriteBlendMode.AlphaBlend, SpriteSortMode.Immediate, SaveStateMode.SaveState);
            level.Draw2D(gameTime, spriteBatch, spriteFont);
            spriteBatch.End();

        }

        public override void Initialize(GraphicsDevice graphics)
        {

        }
    }
}
